version: '3'
services:
  {{APP_NAME}}_db:
    ports:
      - "{{MYSQL_PORT}}:3306"
    volumes:
      - "./db/{{APP_NAME}}.sql://docker-entrypoint-initdb.d/{{APP_NAME}}.sql"
  {{APP_NAME}}_wp:
    extra_hosts:
      - "{{MAIN_DOMAIN}}:127.0.0.1"
    volumes:
      - "./plugins:/var/www/html/wp-content/plugins"
      - "./themes:/var/www/html/wp-content/themes"
  {{APP_NAME}}_phpmyadmin:
    depends_on:
      - {{APP_NAME}}_db
    image: {{MYADM_IMAGE}}
    container_name: "{{APP_NAME}}_phpmyadmin"
    restart: unless-stopped
    ports:
      - "{{PHPADMIN_PORT}}:80"
    networks:
      - {{NETWORK}}
    environment:
      MYSQL_USERNAME: {{DB_ROOT}}
      MYSQL_ROOT_PASSWORD: {{DB_ROOT_PASSWORD}}

